#
# Cookbook:: test
# Recipe:: default
#
# The MIT License (MIT)
#
# Copyright:: 2018, Microsoft
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.

docker_service 'default' do
  action [:create, :start]
end

docker_image 'mysql' do
  tag '5'
end

docker_container 'mysql-server' do
  repo 'mysql'
  tag '5'
  port '3306:3306'
  env [
    'MYSQL_RANDOM_ROOT_PASSWORD=yes',
    "MYSQL_DATABASE=#{node['snipeit']['database']['name']}",
    "MYSQL_USER=#{node['snipeit']['database']['username']}",
    "MYSQL_PASSWORD=#{node['snipeit']['database']['password']}",
  ]
end

include_recipe 'snipe-it'
